osl::progress::Effect5x3d Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
osl::progress::Effect5x3d Struct Reference

玉の周囲5x3の領域の利きの数ら計算した自玉のまわりの利きの数。 5x3領域は盤面内になるように補正する． 黒と白の両方の進行度を持つ． Effect5x3 との違い持駒の重みなし More...

`#include <effect5x3d.h>`

Collaboration diagram for osl::progress::Effect5x3d:
[legend]

## Public Member Functions
| Effect5x3d (const NumEffectState &state)
void | changeTurn ()
int | progress (Player p) const
const Progress16 | progress16 () const
const Progress16 | progress16 (Player p) const
void | update (const NumEffectState &new_state, Move last_move)

## Static Public Member Functions
static int | makeProgress (Player defense, const NumEffectState &state, Square king)
| 王の位置を指定したprogressの計算. More...
static int | makeProgress (Player defense, const NumEffectState &state)
static int | makeProgress (const NumEffectState &state)
static const Progress16 | progress16 (int progress)
| 0-15 の値を返す More...
static const Progress16 | progress16each (int progress)
| 0-15 の値を返す. More...

## Private Attributes
CArray< int, 2 > | progresses

## Detailed Description

玉の周囲5x3の領域の利きの数ら計算した自玉のまわりの利きの数。 5x3領域は盤面内になるように補正する． 黒と白の両方の進行度を持つ． Effect5x3 との違い持駒の重みなし

Definition at line 21 of file effect5x3d.h.

## Constructor & Destructor Documentation

osl::progress::Effect5x3d::Effect5x3d | ( | const NumEffectState & | state) |  |
| inlineexplicit

Definition at line 62 of file effect5x3d.h.

References osl::BLACK, makeProgress(), progresses, and osl::WHITE.

## Member Function Documentation

void osl::progress::Effect5x3d::changeTurn | ( | ) |  |
| inline

Definition at line 67 of file effect5x3d.h.

int osl::progress::Effect5x3d::makeProgress | ( | Player | defense,
|  | const NumEffectState & | state,
|  | Square | king
| ) |  |
| static

王の位置を指定したprogressの計算.

Parameters

  defense | - こちらの玉に注目したprogress
  state | - 盤面
  king | - 玉の位置がここにあるとする． 一般には，盤面から玉の位置は特定できるが，差分計算の途中では 一致しないとして呼び出すことがある．

Definition at line 7 of file effect5x3d.cc.

References center, osl::progress::Effect5x3_Table, osl::progress::Effect5x3Table::getDefenseEffect(), target, osl::Square::x(), and osl::Square::y().

Referenced by Effect5x3d(), and makeProgress().

static int osl::progress::Effect5x3d::makeProgress | ( | Player | defense,
|  | const NumEffectState & | state
| ) |  |
| inlinestatic

Definition at line 33 of file effect5x3d.h.

References makeProgress().

static int osl::progress::Effect5x3d::makeProgress | ( | const NumEffectState & | state) |  |
| inlinestatic

Definition at line 36 of file effect5x3d.h.

References osl::BLACK, makeProgress(), and osl::WHITE.

int osl::progress::Effect5x3d::progress | ( | Player | p) |  | const
| inline

Definition at line 68 of file effect5x3d.h.

References progresses.

Referenced by progress16().

static const Progress16 osl::progress::Effect5x3d::progress16 | ( | int | progress) |  |
| inlinestatic

0-15 の値を返す

Definition at line 43 of file effect5x3d.h.

References osl::eval::max(), and osl::eval::min().

Referenced by osl::eval::ProgressEvalGeneral< progress_eval_opening_t >::attackDefenseBonus(), and osl::eval::ProgressEvalGeneral< progress_eval_opening_t >::value().

const Progress16 osl::progress::Effect5x3d::progress16 | ( | ) |  | const
| inline

Definition at line 69 of file effect5x3d.h.

References progresses.

const Progress16 osl::progress::Effect5x3d::progress16 | ( | Player | p) |  | const
| inline

Definition at line 73 of file effect5x3d.h.

References progress(), and progress16each().

static const Progress16 osl::progress::Effect5x3d::progress16each | ( | int | progress) |  |
| inlinestatic

0-15 の値を返す.

プレイヤ個人毎

Definition at line 53 of file effect5x3d.h.

References osl::eval::max(), and osl::eval::min().

Referenced by progress16().

void osl::progress::Effect5x3d::update | ( | const NumEffectState & | new_state,
|  | Move | last_move
| ) |  |

Definition at line 33 of file effect5x3d.cc.

References osl::BLACK, osl::container::Board_Mask_Table5x3_Center, osl::container::BoardMaskTable5x3Center::mask(), and osl::WHITE.

## Member Data Documentation

CArray<int,2> osl::progress::Effect5x3d::progresses
| private

Definition at line 60 of file effect5x3d.h.

Referenced by Effect5x3d(), progress(), and progress16().

The documentation for this struct was generated from the following files:

- effect5x3d.h
- effect5x3d.cc